unit DBChart_Aggregates;

interface

uses
  Windows, Messages,
  SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs, ExtCtrls, StdCtrls,
  Base_DBChart, TeeProcs, TeEngine, Chart, DBChart, Db,
  DBTables, DBClient, Provider, Series, DBEditCh, EditChar,
  TeeEditPro, VclTee.TeeGDIPlus;

type
  TDBChartAggregate = class(TBaseDBChart)
    DataSource1: TDataSource;
    DataSetProvider1: TDataSetProvider;
    Table1: TTable;
    Button1: TButton;
    Table1OrderNo: TFloatField;
    Table1CustNo: TFloatField;
    Table1SaleDate: TDateTimeField;
    Table1ShipDate: TDateTimeField;
    Table1EmpNo: TIntegerField;
    Table1ShipToContact: TStringField;
    Table1ShipToAddr1: TStringField;
    Table1ShipToAddr2: TStringField;
    Table1ShipToCity: TStringField;
    Table1ShipToState: TStringField;
    Table1ShipToZip: TStringField;
    Table1ShipToCountry: TStringField;
    Table1ShipToPhone: TStringField;
    Table1ShipVIA: TStringField;
    Table1PO: TStringField;
    Table1Terms: TStringField;
    Table1PaymentMethod: TStringField;
    Table1ItemsTotal: TCurrencyField;
    Table1TaxRate: TFloatField;
    Table1Freight: TCurrencyField;
    Table1AmountPaid: TCurrencyField;
    Series1: THorizBarSeries;
    procedure FormShow(Sender: TObject);
    procedure Memo1DblClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

Var DBChartAggregate : TDBChartAggregate;

implementation

{$R *.DFM}

procedure TDBChartAggregate.FormShow(Sender: TObject);
begin
  inherited;
  CheckTable(Table1);
end;

procedure TDBChartAggregate.Memo1DblClick(Sender: TObject);
begin
  EditChart(Self,DBChart1);
end;

procedure TDBChartAggregate.Button1Click(Sender: TObject);
begin
  Screen.Cursor:=crHourGlass;
  try

    { things to remember: }

    Table1.Active:=True;

    Button1.Enabled:=False;
  finally
    Screen.Cursor:=crDefault;
  end;
end;

initialization
  RegisterClass(TDBChartAggregate);
end.
