unit Base_DBChart;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TeeProcs, TeEngine, Chart, DBChart, ExtCtrls, StdCtrls, DB, DBTables,
  VclTee.TeeGDIPlus;

type
  TBaseDBChart = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    DBChart1: TDBChart;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure CheckTable(ATable: TTable);

implementation

{$R *.DFM}

procedure CheckTable(ATable: TTable);
var tmp : TStringList;
begin
  tmp:=TStringList.Create;
  try
    Session.GetAliasNames(tmp);
    if tmp.IndexOf(ATable.DatabaseName)=-1 then
    begin
      if tmp.IndexOf('DBDEMOS')=-1 then
         Raise Exception.Create('Database BDE Alias "DBDEMOS" cannot be found.');
      ATable.DatabaseName:='DBDEMOS';
    end;
  finally
    tmp.Free;
  end;
end;

end.
